<div class="front_page_section front_page_section_contacts<?php
			$smartclean_scheme = smartclean_get_theme_option('front_page_contacts_scheme');
			if (!smartclean_is_inherit($smartclean_scheme)) echo ' scheme_'.esc_attr($smartclean_scheme);
			echo ' front_page_section_paddings_'.esc_attr(smartclean_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$smartclean_css = '';
		$smartclean_bg_image = smartclean_get_theme_option('front_page_contacts_bg_image');
		if (!empty($smartclean_bg_image)) 
			$smartclean_css .= 'background-image: url('.esc_url(smartclean_get_attachment_url($smartclean_bg_image)).');';
		if (!empty($smartclean_css))
			echo " style=\"{$smartclean_css}\"";
?>><?php
	// Add anchor
	$smartclean_anchor_icon = smartclean_get_theme_option('front_page_contacts_anchor_icon');	
	$smartclean_anchor_text = smartclean_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($smartclean_anchor_icon) || !empty($smartclean_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($smartclean_anchor_icon) ? ' icon="'.esc_attr($smartclean_anchor_icon).'"' : '')
										. (!empty($smartclean_anchor_text) ? ' title="'.esc_attr($smartclean_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner<?php
			if (smartclean_get_theme_option('front_page_contacts_fullheight'))
				echo ' smartclean-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$smartclean_css = '';
			$smartclean_bg_mask = smartclean_get_theme_option('front_page_contacts_bg_mask');
			$smartclean_bg_color = smartclean_get_theme_option('front_page_contacts_bg_color');
			if (!empty($smartclean_bg_color) && $smartclean_bg_mask > 0)
				$smartclean_css .= 'background-color: '.esc_attr($smartclean_bg_mask==1
																	? $smartclean_bg_color
																	: smartclean_hex2rgba($smartclean_bg_color, $smartclean_bg_mask)
																).';';
			if (!empty($smartclean_css))
				echo " style=\"{$smartclean_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$smartclean_caption = smartclean_get_theme_option('front_page_contacts_caption');
			$smartclean_description = smartclean_get_theme_option('front_page_contacts_description');
			if (!empty($smartclean_caption) || !empty($smartclean_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($smartclean_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($smartclean_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($smartclean_caption);
					?></h2><?php
				}
			
				// Description
				if (!empty($smartclean_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($smartclean_description) ? 'filled' : 'empty'; ?>"><?php
						echo wpautop(wp_kses_post($smartclean_description));
					?></div><?php
				}
			}

			// Content (text)
			$smartclean_content = smartclean_get_theme_option('front_page_contacts_content');
			$smartclean_layout = smartclean_get_theme_option('front_page_contacts_layout');
			if ($smartclean_layout == 'columns' && (!empty($smartclean_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($smartclean_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($smartclean_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($smartclean_content);
				?></div><?php
			}

			if ($smartclean_layout == 'columns' && (!empty($smartclean_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$smartclean_sc = smartclean_get_theme_option('front_page_contacts_shortcode');
			if (!empty($smartclean_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($smartclean_sc) ? 'filled' : 'empty'; ?>"><?php
					smartclean_show_layout(do_shortcode($smartclean_sc));
				?></div><?php
			}

			if ($smartclean_layout == 'columns' && (!empty($smartclean_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>