<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

smartclean_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$smartclean_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$smartclean_sticky_out = smartclean_get_theme_option('sticky_style')=='columns' 
							&& is_array($smartclean_stickies) && count($smartclean_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($smartclean_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$smartclean_sticky_out) {
		?><div class="chess_wrap posts_container"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($smartclean_sticky_out && !is_sticky()) {
			$smartclean_sticky_out = false;
			?></div><div class="chess_wrap posts_container"><?php
		}
		get_template_part( 'content', $smartclean_sticky_out && is_sticky() ? 'sticky' :'chess' );
	}
	
	?></div><?php

	smartclean_show_pagination();

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>