<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

						// Widgets area inside page content
						smartclean_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					smartclean_create_widgets_area('widgets_below_page');

					$smartclean_body_style = smartclean_get_theme_option('body_style');
					if ($smartclean_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$smartclean_footer_style = smartclean_get_theme_option("footer_style");
			if (strpos($smartclean_footer_style, 'footer-custom-')===0)
				$smartclean_footer_style = smartclean_is_layouts_available() ? 'footer-custom' : 'footer-default';
			get_template_part( "templates/{$smartclean_footer_style}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (smartclean_is_on(smartclean_get_theme_option('debug_mode')) && smartclean_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(smartclean_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>