<div class="front_page_section front_page_section_blog<?php
			$smartclean_scheme = smartclean_get_theme_option('front_page_blog_scheme');
			if (!smartclean_is_inherit($smartclean_scheme)) echo ' scheme_'.esc_attr($smartclean_scheme);
			echo ' front_page_section_paddings_'.esc_attr(smartclean_get_theme_option('front_page_blog_paddings'));
		?>"<?php
		$smartclean_css = '';
		$smartclean_bg_image = smartclean_get_theme_option('front_page_blog_bg_image');
		if (!empty($smartclean_bg_image)) 
			$smartclean_css .= 'background-image: url('.esc_url(smartclean_get_attachment_url($smartclean_bg_image)).');';
		if (!empty($smartclean_css))
			echo " style=\"{$smartclean_css}\"";
?>><?php
	// Add anchor
	$smartclean_anchor_icon = smartclean_get_theme_option('front_page_blog_anchor_icon');	
	$smartclean_anchor_text = smartclean_get_theme_option('front_page_blog_anchor_text');	
	if ((!empty($smartclean_anchor_icon) || !empty($smartclean_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_blog"'
										. (!empty($smartclean_anchor_icon) ? ' icon="'.esc_attr($smartclean_anchor_icon).'"' : '')
										. (!empty($smartclean_anchor_text) ? ' title="'.esc_attr($smartclean_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_blog_inner<?php
			if (smartclean_get_theme_option('front_page_blog_fullheight'))
				echo ' smartclean-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$smartclean_css = '';
			$smartclean_bg_mask = smartclean_get_theme_option('front_page_blog_bg_mask');
			$smartclean_bg_color = smartclean_get_theme_option('front_page_blog_bg_color');
			if (!empty($smartclean_bg_color) && $smartclean_bg_mask > 0)
				$smartclean_css .= 'background-color: '.esc_attr($smartclean_bg_mask==1
																	? $smartclean_bg_color
																	: smartclean_hex2rgba($smartclean_bg_color, $smartclean_bg_mask)
																).';';
			if (!empty($smartclean_css))
				echo " style=\"{$smartclean_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$smartclean_caption = smartclean_get_theme_option('front_page_blog_caption');
			if (!empty($smartclean_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo !empty($smartclean_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post($smartclean_caption); ?></h2><?php
			}
		
			// Description (text)
			$smartclean_description = smartclean_get_theme_option('front_page_blog_description');
			if (!empty($smartclean_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo !empty($smartclean_description) ? 'filled' : 'empty'; ?>"><?php echo wpautop(wp_kses_post($smartclean_description)); ?></div><?php
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_blog_output"><?php 
				if (is_active_sidebar('front_page_blog_widgets')) {
					dynamic_sidebar( 'front_page_blog_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!smartclean_exists_trx_addons())
						smartclean_customizer_need_trx_addons_message();
					else
						smartclean_customizer_need_widgets_message('front_page_blog_caption', 'ThemeREX Addons - Blogger');
				}
			?></div>
		</div>
	</div>
</div>