<div class="front_page_section front_page_section_woocommerce<?php
			$smartclean_scheme = smartclean_get_theme_option('front_page_woocommerce_scheme');
			if (!smartclean_is_inherit($smartclean_scheme)) echo ' scheme_'.esc_attr($smartclean_scheme);
			echo ' front_page_section_paddings_'.esc_attr(smartclean_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$smartclean_css = '';
		$smartclean_bg_image = smartclean_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($smartclean_bg_image)) 
			$smartclean_css .= 'background-image: url('.esc_url(smartclean_get_attachment_url($smartclean_bg_image)).');';
		if (!empty($smartclean_css))
			echo " style=\"{$smartclean_css}\"";
?>><?php
	// Add anchor
	$smartclean_anchor_icon = smartclean_get_theme_option('front_page_woocommerce_anchor_icon');	
	$smartclean_anchor_text = smartclean_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($smartclean_anchor_icon) || !empty($smartclean_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($smartclean_anchor_icon) ? ' icon="'.esc_attr($smartclean_anchor_icon).'"' : '')
										. (!empty($smartclean_anchor_text) ? ' title="'.esc_attr($smartclean_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (smartclean_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' smartclean-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$smartclean_css = '';
			$smartclean_bg_mask = smartclean_get_theme_option('front_page_woocommerce_bg_mask');
			$smartclean_bg_color = smartclean_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($smartclean_bg_color) && $smartclean_bg_mask > 0)
				$smartclean_css .= 'background-color: '.esc_attr($smartclean_bg_mask==1
																	? $smartclean_bg_color
																	: smartclean_hex2rgba($smartclean_bg_color, $smartclean_bg_mask)
																).';';
			if (!empty($smartclean_css))
				echo " style=\"{$smartclean_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$smartclean_caption = smartclean_get_theme_option('front_page_woocommerce_caption');
			$smartclean_description = smartclean_get_theme_option('front_page_woocommerce_description');
			if (!empty($smartclean_caption) || !empty($smartclean_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($smartclean_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($smartclean_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($smartclean_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($smartclean_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($smartclean_description) ? 'filled' : 'empty'; ?>"><?php
						echo wpautop(wp_kses_post($smartclean_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$smartclean_woocommerce_sc = smartclean_get_theme_option('front_page_woocommerce_products');
				if ($smartclean_woocommerce_sc == 'products') {
					$smartclean_woocommerce_sc_ids = smartclean_get_theme_option('front_page_woocommerce_products_per_page');
					$smartclean_woocommerce_sc_per_page = count(explode(',', $smartclean_woocommerce_sc_ids));
				} else {
					$smartclean_woocommerce_sc_per_page = max(1, (int) smartclean_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$smartclean_woocommerce_sc_columns = max(1, min($smartclean_woocommerce_sc_per_page, (int) smartclean_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$smartclean_woocommerce_sc}"
									. ($smartclean_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($smartclean_woocommerce_sc_ids).'"' 
											: '')
									. ($smartclean_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(smartclean_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($smartclean_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(smartclean_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(smartclean_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($smartclean_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($smartclean_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>