<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.10
 */

// Footer menu
$smartclean_menu_footer = smartclean_get_nav_menu(array(
											'location' => 'menu_footer',
											'class' => 'sc_layouts_menu sc_layouts_menu_default'
											));
if (!empty($smartclean_menu_footer)) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php smartclean_show_layout($smartclean_menu_footer); ?>
		</div>
	</div>
	<?php
}
?>